// 关于登录
export { LoginApi } from './login/index'

export {
  productabsorbcontrast,
  SelectProductListApi,
  ColorListApi,
  ColorDetailedApi,
  ColorSamplingSaveApi,
  TextureSaveApi,
  FindColorListApi,
} from './product/index'

// 关于购物页面
export { ShoppingCartUpdateApi, ShoppingCartDeleteApi, ShoppingCartListApi } from './shopping/index'

// 关于发货列表
export {
  DeliverNoticeOrderList,
  DeliverNoticeOrder,
  DeliveryNoticeOrderUpload,
  DeliveryNoticeOrderAudit,
  DeliveryNoticeOrderRejection,
  EnumDeliveryNoticeTypeList,
  EnumSaleorderStatus,
} from './delivery/index'

// 关于提货列表
export {
  EnumTakeGoodsOrderStatus,
  EnumTakeGoodsOrderTypeList,
  TakeGoodsOrderList,
  TakeGoodsOrderRefuse,
  TakeGoodsOrderAudit,
  TakeGoodsOrder,
  UserInvitationInfoRecord,
  GenBarCodeOrQrCode,
} from './takeDelivery/index'

// 关于销售统计
export {
  EnumMarketingDepartmentApi,
  EnumSalesTypeApi,
  SalesmanRankApi,
  ProductRankApi,
  PurchaserRankApi,
  SupplierRankApi,
  SaleOrderDataFormdataFormStatus,
  SaleOrderDataFormApi,
} from './statistic/index'

import { useRequest } from '@/use/useHttp'
/**
 *  系列列表
 * @returns
 */
export const kindListApi = () => {
  return useRequest({
    url: `/v1/mp/product/kind/list`,
    method: 'get',
  })
}

/**
 *  面料列表
 * @returns
 */
export const ProductListApi = () => {
  return useRequest({
    url: `/v1/mp/product/list`,
    method: 'get',
  })
}
